# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXConcatenate, DXInvert, DXTranspose, DXAdjointTranspose, DXDeterminant, DXApply

Function

Apply standard matrix operations.

Syntax
`
#include <dx/dx.h>
`

Matrix DXConcatenate(Matrix s, Matrix t)
Matrix DXInvert(Matrix t)
Matrix DXTranspose(Matrix t)
Matrix DXAdjointTranspose(Matrix t)
float DXDeterminant(Matrix t)
Vector DXApply(Vector v, Matrix t)

Functional Details

`DXConcatenate` returns a Matrix that is equivalent to transformation matrix `s` followed by transformation matrix `t`.

`DXInvert, DXTranspose, DXAdjointTranspose,` and `DXDeterminant` compute the matrix inverse, transpose, and adjoint transpose, and determinant, respectively.

`DXApply` applies matrix transformation `t` to `v`.

A `Matrix` is defined as follows:
`
typedef struct matrix {
/* xA + b * /
float A[3][3]
float b[3];
} Matrix
`

A `Point` and `Vector` is defined as follows:
`
typedef struct point {
float x, y, z;
} Point, Vector;
`

Return Value

Always returns the result of the operation.

See Also

`DXApplyTransform, DXRotateX, DXRotateY, DXRotateZ, DXScale, DXTranslate, DXMat`

"Basic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]